Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » DTP » europa jpa schema persistence.xml
europa jpa schema persistence.xml [message #31738] Mon, 02 July 2007 12:08
Eclipse User
Originally posted by: gene.rockhoppertech.com

I'm getting a validation error in my persistence.xml file.
The xsd file allows multiple persistence-unit elements.
(see attached extract).

My persistence.xml is indeed valid and it works. Other IDEs
show no problems.
<xsd:element name="persistence-unit"
minOccurs="0" maxOccurs="unbounded">
<xsd:complexType>
<xsd:annotation>
<xsd:documentation>

Configuration of a persistence unit.

</xsd:documentation>
</xsd:annotation>
<xsd:sequence>




Europa seems half baked in places.

The need to immediately download dtp enablement updates
makes no sense for an "all-in-one" release.

On starup the JPA tools gives me this error:
"org.eclipse.jdt.core.dom.TypeLiteral cannot be cast to
org.eclipse.core.dom.StringLiteral"

I get update problems like the following


eclipse.buildId=I20070621-1340
java.version=1.6.0_01
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Command-line arguments: -os win32 -ws win32 -arch x86

Error
Mon Jul 02 07:30:56 EDT 2007
Digest could not be parsed:Unable to retrieve remote reference
"http://download.eclipse.org/updates/3.3/digest.zip". [Server returned
HTTP response code: "404 Not Found" for URL:
http://download.eclipse.org/updates/3.3/digest.zip.]
Previous Topic:Getting started: SQL Query Parser
Next Topic:europa jpa schema persistence.xml
Goto Forum:
  


Current Time: Sun Sep 21 02:07:27 GMT 2014

Powered by FUDForum. Page generated in 0.03009 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software